#### Artery
###### Тестирование модулей
- [x] Ethernet
- [x] DEBUG UART
- [x] SPI FLASH
- [ ] Сдвиговые регистры (LED)
- [ ] Сдвиговые регистры (UART)
- [ ] Artery flash
- [x] LED
	- [x] LED "Сервер" (green + red)
	- [x] LED "Состояние" (green + red)
	- [x] LEDs "Уровень сигнала"
	 

![[ARM_JTAG_SWD_Header.png]]
###### Ethernet
PC_1 - DC (+)
PA_2 - DIO (+)
PA_1 - EINT (+)
PA_7 - CRSDV (+)
PC_4 - RXD0 (+)
PC_5 - RXD1 (+)
PB_11 - TXEN (+)
PB_12 - TXD0 (+)
PB_13 - TXD1 (+)
PA_8 - MCO (+)
PE_13 - EnRST

#define PHY_ADDRESS (0x01)
#define PHY_CONTROL_REG (0x00)
#define PHY_STATUS_REG (0x01)
  
![[phy_reg1.PNG]]

Для получения тактового сигнала для ethernet PHY 25 МГц необходимо снизить тактовую частоту контроллера до 200 МГц.

###### SPI Flash MX25L1606EM
SPI_nCS - PA_15
SPI_SCK - PB_3
SPI_MISO - PB_4
SPI_MOSI - PB_5

SPI_3 - default multi-function
SPI тактируется от шины APB через делитель /2. В нашем случае частота тактирования SPI - 100МГц.
![[spi_flash_mx25L1606.PNG]]

###### LEDs
Метролог (stm32):
- LED Green GPIOE_0
- LED Red GPIOE_1

###### UART
Метролог М3 с stm32:
- UART_1 - Debug PB_6 - Tx, PB_7 - Rx
- UART_2 - GMS модуль PD_5 - Tx, PD_6 - Rx
- UART_3 - RS485_2 PD_8 - Tx, PD_9 - Rx
- UART_4 - RS232_1 PC_10 - Tx, PC_11 - Rx
- UART_5 - RS232_2 PC_12 - Tx, PD_2 - Rx
 
Метролог М3 с at32:
- UART_1 - USB (to GSM) PB_6 - Tx, PB_7 - Rx (Remap)
- UART_2 - GMS модуль PD_5 - Tx, PD_6 - Rx (Remap)
- UART_3 - RS485_2 PD_8 - Tx, PD_9 - Rx (Remap)
- UART_4 - RS232_1 PC_10 - Tx, PC_11 - Rx
- UART_5 - RS232_2 PC_12 - Tx, PD_2 - Rx